package com.bzd.system.service.xzgl;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 下载管理表 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SXzglDownloadManagementService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSXzglDownloadManagement(PageData pd)throws Exception {
        return daoSupport.update("SXzglDownloadManagementMapper.addSXzglDownloadManagement", pd);
    }

    public List<PageData> findSXzglDownloadManagementList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SXzglDownloadManagementMapper.selectSXzglDownloadManagementList", pd);
    }

    public Integer SXzglDownloadManagementRemove(PageData pd)throws Exception {
        return daoSupport.delete("SXzglDownloadManagementMapper.SXzglDownloadManagementRemove", pd);
    }


    public Integer updateSXzglDownloadManagement(PageData pd)throws Exception {
        return daoSupport.update("SXzglDownloadManagementMapper.updateSXzglDownloadManagement", pd);
    }

}
